diff --git a/src/include/utils/datetime.h b/src/include/utils/datetime.h
new file mode 100644
index 9b53ee3..548758a
*** a/src/include/utils/datetime.h
--- b/src/include/utils/datetime.h
*************** extern const char *const months[];		/* m
*** 271,276 ****
--- 271,281 ----
  extern const char *const days[];	/* days (full names) */
  extern const int day_tab[2][13];
  
+ /*
+  * These are the rules for the Gregorian calendar, which was adopted in 1582.
+  * However, we use this calculation for all prior years as well because the
+  * SQL standard specifies use of the Gregorian calendar.
+  */
  #define isleap(y) (((y) % 4) == 0 && (((y) % 100) != 0 || ((y) % 400) == 0))
  
  
